package com.chenyang.druid.sql.dialect.postgresql.ast.stmt;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.ast.SQLStatementImpl;
import com.chenyang.druid.sql.dialect.postgresql.visitor.PGASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class PGStartTransactionStatement extends SQLStatementImpl implements PGSQLStatement {
   public PGStartTransactionStatement() {
      super(DbType.postgresql);
   }

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor instanceof PGASTVisitor) {
         this.accept0((PGASTVisitor)visitor);
      }

   }

   public void accept0(PGASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }
}
